curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": "b",
"team_uuid": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"site_uuid": "c90237e9-ced5-3af6-88ea-84aeaa148878"
}
'{
"data": {
"uuid": "a1a0a47d-e8c3-3cf0-8e6e-c1ff9dca5d1f",
"id": 3,
"identity": "21c4122b-d554-3723-966c-6d723ea5293f",
"reference": null,
"connection_status": "never_seen",
"status": null,
"error": null,
"error_info": null,
"vendor_id": null,
"vendor_error_code": null,
"setup_completed": false,
"created_at": "2025-11-19T15:28:21.000000Z",
"updated_at": "2025-11-19T15:28:21.000000Z",
"licenses": {
"smart": false,
"pro": false
}
}
}See the documentation for more information.
Must not be greater than 45 characters.
"b"
Must be a valid UUID. The uuid of an existing record in the teams table.
"a4855dc5-0acb-33c3-b921-f4291f719ca0"
Must be a valid UUID. The uuid of an existing record in the sites table.
"c90237e9-ced5-3af6-88ea-84aeaa148878"
Show child attributes
"a1a0a47d-e8c3-3cf0-8e6e-c1ff9dca5d1f"
3
"21c4122b-d554-3723-966c-6d723ea5293f"
null
"never_seen"
null
null
null
null
null
false
"2025-11-19T15:28:21.000000Z"
"2025-11-19T15:28:21.000000Z"
Was this page helpful?
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": "b",
"team_uuid": "a4855dc5-0acb-33c3-b921-f4291f719ca0",
"site_uuid": "c90237e9-ced5-3af6-88ea-84aeaa148878"
}
'{
"data": {
"uuid": "a1a0a47d-e8c3-3cf0-8e6e-c1ff9dca5d1f",
"id": 3,
"identity": "21c4122b-d554-3723-966c-6d723ea5293f",
"reference": null,
"connection_status": "never_seen",
"status": null,
"error": null,
"error_info": null,
"vendor_id": null,
"vendor_error_code": null,
"setup_completed": false,
"created_at": "2025-11-19T15:28:21.000000Z",
"updated_at": "2025-11-19T15:28:21.000000Z",
"licenses": {
"smart": false,
"pro": false
}
}
}